TypeConverter (Apache Hadoop MapReduce Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce, class: TypeConverter

Package org.apache.hadoop.mapreduce

# Class TypeConverter

java.lang.Object
org.apache.hadoop.mapreduce.TypeConverter

public class TypeConverter extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TypeConverter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static List<org.apache.hadoop.mapreduce.TaskReport>`
  `fromYarn(List<TaskReport> taskReports)`
  `static org.apache.hadoop.mapreduce.Counters`
  `fromYarn(Counters yCntrs)`
  `static org.apache.hadoop.mapred.JobID`
  `fromYarn(JobId id)`
  `static org.apache.hadoop.mapreduce.JobStatus`
  `fromYarn(JobReport jobreport, String trackingUrl)`
  `static int`
  `fromYarn(JobState state)`
  `static org.apache.hadoop.mapred.TaskCompletionEvent`
  `fromYarn(TaskAttemptCompletionEvent newEvent)`
  `static org.apache.hadoop.mapred.TaskCompletionEvent[]`
  `fromYarn(TaskAttemptCompletionEvent[] newEvents)`
  `static org.apache.hadoop.mapred.TaskCompletionEvent.Status`
  `fromYarn(TaskAttemptCompletionEventStatus newStatus)`
  `static org.apache.hadoop.mapred.TaskAttemptID`
  `fromYarn(TaskAttemptId id)`
  `static org.apache.hadoop.mapred.TaskID`
  `fromYarn(TaskId id)`
  `static org.apache.hadoop.mapreduce.TaskReport`
  `fromYarn(TaskReport report)`
  `static org.apache.hadoop.mapred.TIPStatus`
  `fromYarn(TaskState state)`
  `static org.apache.hadoop.mapreduce.TaskType`
  `fromYarn(TaskType taskType)`
  `static org.apache.hadoop.mapreduce.JobID`
  `fromYarn(org.apache.hadoop.yarn.api.records.ApplicationId appID)`
  `static org.apache.hadoop.mapreduce.JobStatus`
  `fromYarn(org.apache.hadoop.yarn.api.records.ApplicationReport application, String jobFile)`
  `static org.apache.hadoop.mapreduce.TaskTrackerInfo`
  `fromYarn(org.apache.hadoop.yarn.api.records.NodeReport node)`
  `static org.apache.hadoop.mapreduce.QueueInfo`
  `fromYarn(org.apache.hadoop.yarn.api.records.QueueInfo queueInfo, org.apache.hadoop.conf.Configuration conf)`
  `static org.apache.hadoop.mapreduce.QueueState`
  `fromYarn(org.apache.hadoop.yarn.api.records.QueueState state)`
  `static org.apache.hadoop.mapreduce.JobStatus.State`
  `fromYarn(org.apache.hadoop.yarn.api.records.YarnApplicationState yarnApplicationState, org.apache.hadoop.yarn.api.records.FinalApplicationStatus finalApplicationStatus)`
  `static org.apache.hadoop.mapreduce.JobPriority`
  `fromYarnApplicationPriority(int priority)`
  `static org.apache.hadoop.mapreduce.JobStatus[]`
  `fromYarnApps(List<org.apache.hadoop.yarn.api.records.ApplicationReport> applications, org.apache.hadoop.conf.Configuration conf)`
  `static org.apache.hadoop.mapreduce.TaskTrackerInfo[]`
  `fromYarnNodes(List<org.apache.hadoop.yarn.api.records.NodeReport> nodes)`
  `static org.apache.hadoop.mapreduce.QueueInfo[]`
  `fromYarnQueueInfo(List<org.apache.hadoop.yarn.api.records.QueueInfo> queues, org.apache.hadoop.conf.Configuration conf)`
  `static org.apache.hadoop.mapreduce.QueueAclsInfo[]`
  `fromYarnQueueUserAclsInfo(List<org.apache.hadoop.yarn.api.records.QueueUserACLInfo> userAcls)`
  `static Counters`
  `toYarn(org.apache.hadoop.mapred.Counters counters)`
  `static TaskAttemptId`
  `toYarn(org.apache.hadoop.mapred.TaskAttemptID id)`
  `static Phase`
  `toYarn(org.apache.hadoop.mapred.TaskStatus.Phase phase)`
  `static TaskAttemptState`
  `toYarn(org.apache.hadoop.mapred.TaskStatus.State state)`
  `static Counters`
  `toYarn(org.apache.hadoop.mapreduce.Counters counters)`
  `static JobId`
  `toYarn(org.apache.hadoop.mapreduce.JobID id)`
  `static TaskAttemptId`
  `toYarn(org.apache.hadoop.mapreduce.TaskAttemptID id)`
  `static TaskId`
  `toYarn(org.apache.hadoop.mapreduce.TaskID id)`
  `static TaskType`
  `toYarn(org.apache.hadoop.mapreduce.TaskType taskType)`
  `static int`
  `toYarnApplicationPriority(String priority)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TypeConverter

    public TypeConverter()

- ## Method Details

  - ### fromYarn

    public static org.apache.hadoop.mapred.JobID fromYarn(JobId id)

  - ### fromYarn

    public static org.apache.hadoop.mapreduce.JobID fromYarn(org.apache.hadoop.yarn.api.records.ApplicationId appID)

  - ### toYarn

    public static JobId toYarn(org.apache.hadoop.mapreduce.JobID id)

  - ### toYarnApplicationPriority

    public static int toYarnApplicationPriority(String priority)

  - ### fromYarn

    public static org.apache.hadoop.mapreduce.TaskType fromYarn(TaskType taskType)

  - ### toYarn

    public static TaskType toYarn(org.apache.hadoop.mapreduce.TaskType taskType)

  - ### fromYarn

    public static org.apache.hadoop.mapred.TaskID fromYarn(TaskId id)

  - ### toYarn

    public static TaskId toYarn(org.apache.hadoop.mapreduce.TaskID id)

  - ### toYarn

    public static TaskAttemptState toYarn(org.apache.hadoop.mapred.TaskStatus.State state)

  - ### toYarn

    public static Phase toYarn(org.apache.hadoop.mapred.TaskStatus.Phase phase)

  - ### fromYarn

    public static org.apache.hadoop.mapred.TaskCompletionEvent[] fromYarn(TaskAttemptCompletionEvent[] newEvents)

  - ### fromYarn

    public static org.apache.hadoop.mapred.TaskCompletionEvent fromYarn(TaskAttemptCompletionEvent newEvent)

  - ### fromYarn

    public static org.apache.hadoop.mapred.TaskCompletionEvent.Status fromYarn(TaskAttemptCompletionEventStatus newStatus)

  - ### fromYarn

    public static org.apache.hadoop.mapred.TaskAttemptID fromYarn(TaskAttemptId id)

  - ### toYarn

    public static TaskAttemptId toYarn(org.apache.hadoop.mapred.TaskAttemptID id)

  - ### toYarn

    public static TaskAttemptId toYarn(org.apache.hadoop.mapreduce.TaskAttemptID id)

  - ### fromYarn

    public static org.apache.hadoop.mapreduce.Counters fromYarn(Counters yCntrs)

  - ### toYarn

    public static Counters toYarn(org.apache.hadoop.mapred.Counters counters)

  - ### toYarn

    public static Counters toYarn(org.apache.hadoop.mapreduce.Counters counters)

  - ### fromYarn

    public static org.apache.hadoop.mapreduce.JobStatus fromYarn(JobReport jobreport, String trackingUrl)

  - ### fromYarnApplicationPriority

    public static org.apache.hadoop.mapreduce.JobPriority fromYarnApplicationPriority(int priority)

  - ### fromYarn

    public static org.apache.hadoop.mapreduce.QueueState fromYarn(org.apache.hadoop.yarn.api.records.QueueState state)

  - ### fromYarn

    public static int fromYarn(JobState state)

  - ### fromYarn

    public static org.apache.hadoop.mapred.TIPStatus fromYarn(TaskState state)

  - ### fromYarn

    public static org.apache.hadoop.mapreduce.TaskReport fromYarn(TaskReport report)

  - ### fromYarn

    public static List<org.apache.hadoop.mapreduce.TaskReport> fromYarn(List<TaskReport> taskReports)

  - ### fromYarn

    public static org.apache.hadoop.mapreduce.JobStatus.State fromYarn(org.apache.hadoop.yarn.api.records.YarnApplicationState yarnApplicationState, org.apache.hadoop.yarn.api.records.FinalApplicationStatus finalApplicationStatus)

  - ### fromYarn

    public static org.apache.hadoop.mapreduce.TaskTrackerInfo fromYarn(org.apache.hadoop.yarn.api.records.NodeReport node)

  - ### fromYarnNodes

    public static org.apache.hadoop.mapreduce.TaskTrackerInfo[] fromYarnNodes(List<org.apache.hadoop.yarn.api.records.NodeReport> nodes)

  - ### fromYarn

    public static org.apache.hadoop.mapreduce.JobStatus fromYarn(org.apache.hadoop.yarn.api.records.ApplicationReport application, String jobFile)

  - ### fromYarnApps

    public static org.apache.hadoop.mapreduce.JobStatus[] fromYarnApps(List<org.apache.hadoop.yarn.api.records.ApplicationReport> applications, org.apache.hadoop.conf.Configuration conf)

  - ### fromYarn

    public static org.apache.hadoop.mapreduce.QueueInfo fromYarn(org.apache.hadoop.yarn.api.records.QueueInfo queueInfo, org.apache.hadoop.conf.Configuration conf)

  - ### fromYarnQueueInfo

    public static org.apache.hadoop.mapreduce.QueueInfo[] fromYarnQueueInfo(List<org.apache.hadoop.yarn.api.records.QueueInfo> queues, org.apache.hadoop.conf.Configuration conf)

  - ### fromYarnQueueUserAclsInfo

    public static org.apache.hadoop.mapreduce.QueueAclsInfo[] fromYarnQueueUserAclsInfo(List<org.apache.hadoop.yarn.api.records.QueueUserACLInfo> userAcls)